<?php

namespace Taxus;

class Privilege
{
    public string $name;

    public string $description;

    public mixed $error;

    public $success;

    public $function;

    public ? bool $granted = false;

    public function __construct(string $name, string $description = "", ? Callable $function = null, ? Callable $success = null, ? Callable $error = null)
    {
        $this->name = $name;
        $this->description = $description;
        $this->function = $function;
        $this->success = $success;
        $this->error = $error;
    }
}
